Ads and Commerce
Ads and Commerce
Resources

Product Catalog Vehicles

Updated: Aug 27, 2024

Reading

Retrieve vehicles from a product catalog.

Example

GET /v25.0/{product-catalog-id}/vehicles HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
bulk_pagination
boolean
Used for iterating over the edge in large chunks
filter
A JSON-encoded rule
JSON-encoded WCA rule expression representing the filter to be applied for the edge

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of Vehicle nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
Field Description
total_count
unsigned int32
Total number of vehicles returned by the query

Error Codes

Error Code Description
100
Invalid parameter

Creating

/{product_catalog_id}/vehicles

You can make a POST request to vehicles edge from the following paths:
When posting to this edge, a ProductCatalog will be created.

Parameters

Parameter Description
address
JSON object
address
required

city string
Default value: ""
city
city_id string
city_id
country string
Default value: ""
country
latitude float
latitude
longitude float
longitude
neighborhoods array<string>
neighborhoods
postal_code string
Default value: ""
postal_code
region string
Default value: ""
region
street_address string
Default value: ""
street_address
Show child parameters
applinks
Object
applinks

web 
android 
ios 
ipad 
iphone 
windows_phone 
Show child parameters
availability
enum {AVAILABLE, NOT_AVAILABLE, PENDING, UNKNOWN}
availability
body_style
enum {CONVERTIBLE, COUPE, CROSSOVER, ESTATE, GRANDTOURER, HATCHBACK, MINIBUS, MINIVAN, MPV, PICKUP, ROADSTER, SALOON, SEDAN, SMALL_CAR, SPORTSCAR, SUPERCAR, SUPERMINI, SUV, TRUCK, VAN, WAGON, OTHER, NONE}
body_style
required
condition
enum {EXCELLENT, VERY_GOOD, GOOD, FAIR, POOR, OTHER, NONE}
condition
currency
ISO 4217 Currency Code
currency
required
date_first_on_lot
string
date_first_on_lot
dealer_id
string
dealer_id
dealer_name
string
dealer_name
dealer_phone
string
dealer_phone
description
string
description
required
drivetrain
enum {TWO_WD, FOUR_WD, AWD, FWD, RWD, OTHER, NONE}
drivetrain
exterior_color
string
exterior_color
required
fb_page_id
string
fb_page_id
fuel_type
enum {DIESEL, ELECTRIC, GASOLINE, FLEX, HYBRID, OTHER, PETROL, PLUGIN_HYBRID, NONE}
fuel_type
images
list<Object>
images
required

image_url URL
required
tags list<string>
Show child parameters
interior_color
string
interior_color
make
string
make
required
mileage
JSON object
mileage
required

unit enum {KILOMETERS, MILES}
Default value: "MILES"
unit
value int64
Default value: 0
value
Show child parameters
model
string
model
required
price
int64
price
required
state_of_vehicle
enum {NEW, USED, CPO}
state_of_vehicle
required
title
string
title
required
transmission
enum {AUTOMATIC, MANUAL, OTHER, NONE}
transmission
trim
string
trim
url
URI
url
required
vehicle_id
string
vehicle_id
required
vehicle_type
enum {BOAT, CAR_TRUCK, COMMERCIAL, MOTORCYCLE, OTHER, POWERSPORT, RV_CAMPER, TRAILER}
vehicle_type
vin
string
vin
required
year
int64
year
required

Return Type

This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct  {
id: numeric string,
}

Error Codes

Error Code Description
10800
Duplicate retailer_id when attempting to create a store collection
100
Invalid parameter
200
Permissions error

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon